import { ColorHEX, RapidColorHEX } from '@genesislcap/foundation-zero';
import { css } from '@microsoft/fast-element';
/**
 * @public
 */
export const FoundationAlertsStyles = css `
  .wrapper {
    --default-text-color: ${RapidColorHEX.white};
    --available-text-color: ${RapidColorHEX.green};
    --unavailable-text-color: ${RapidColorHEX.red};
    --rest-text-color: ${ColorHEX.almostWhite};
  }

  .header {
    width: calc(100% - (var(--design-unit) * 5px - var(--design-unit) * 3px)));
    display: flex;
    align-items: center;
    padding: calc(var(--design-unit) * 2px) calc(var(--design-unit) * 3px)
      calc(var(--design-unit) * 2px) calc(var(--design-unit) * 5px);
  }

  .header .main-button {
    margin: 0;
    min-width: 25px;
    min-height: 25px;
    color: var(--neutral-fill-strong-rest);
  }

  .header .main-button::part(actions-container) {
    position: relative;
  }

  .header .main-button::part(actions-container),
  .header .main-button::part(actions-opener) {
    height: 100%;
  }

  .header .main-button::part(actions-opener) {
    color: var(--neutral-fill-strong-rest);
    margin: 0;
  }

  .header .main-button::part(control) {
    height: 100%;
  }

  .header .main-button::part(actions-menu) {
    top: calc(100% + var(--design-unit) * 1px);
    right: 0;
  }

  .title {
    padding: 0;
    margin: 0;
    font-size: calc(var(--design-unit) * 6px);
    font-weight: 500;
    color: var(--default-text-color);
  }

  .main-menu {
    display: flex;
    margin-left: auto;
    gap: calc(var(--design-unit) * 2px);

    --density: -2;
    --menu-item-height-multiplier: 4;
  }

  .list,
  .item-title,
  .item-bottom {
    width: 100%;
  }

  .list {
    padding: 0;
    margin: 0;
    list-style: none;
  }

  .item {
    width: calc(100% - (var(--design-unit) * 3px) - (var(--design-unit) * 5px));
    padding: calc(var(--design-unit) * 4px) calc(var(--design-unit) * 3px)
      calc(var(--design-unit) * 4px) calc(var(--design-unit) * 5px);
    border-top: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-hover);
    color: var(--default-text-color);
  }

  .item-title {
    padding: 0;
    margin: 0 0 calc(var(--design-unit) * 3px) 0;
    font-size: calc(var(--design-unit) * 5px);
    font-weight: 400;
  }

  .item-bottom {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    gap: calc(var(--design-unit) * 5px);
    font-size: calc(var(--design-unit) * 5px);
    color: var(--rest-text-color);
  }

  .item-menu {
    display: flex;
    margin-left: auto;
    gap: calc(var(--design-unit) * 5px);
  }

  .item-menu .button {
    color: var(--neutral-stroke-active);
  }

  .item-menu .button:hover {
    color: var(--neutral-stroke-focus);
  }

  .item-bottom .button {
    background: none;
    margin: 0;
    min-width: auto;
  }

  .header .button::part(control),
  .item-bottom .button::part(control) {
    padding: 0;
  }

  .status.enabled {
    color: var(--available-text-color);
  }

  .status.disabled {
    color: var(--unavailable-text-color);
  }

  .empty {
    font-size: 12px;
    padding: calc(var(--design-unit) * 4px) calc(var(--design-unit) * 3px)
      calc(var(--design-unit) * 4px) calc(var(--design-unit) * 5px);
    margin: 0;
  }
`;
